KDE 4.9 PyKDE API Reference

- KDE's Python API

# KDirWatch Class Reference

`from PyKDE4.kio import *`

Inherits: QObject

## Detailed Description

## Enumerations

Method | { FAM, INotify, DNotify, Stat }
WatchMode | { WatchDirOnly, WatchFiles, WatchSubDirs }

## Signals

| created (QString path)
| deleted (QString path)
| dirty (QString path)

## Methods

| __init__ (self, QObject parent=0)
| addDir (self, QString path, KDirWatch.WatchModes watchModes=KDirWatch.WatchDirOnly)
| addFile (self, QString file)
bool | contains (self, QString path)
QDateTime | ctime (self, QString path)
KDirWatch.Method | internalMethod (self)
bool | isStopped (self)
| removeDir (self, QString path)
| removeFile (self, QString file)
bool | restartDirScan (self, QString path)
| setCreated (self, QString path)
| setDeleted (self, QString path)
| setDirty (self, QString path)
| startScan (self, bool notify=0, bool skippedToo=0)
bool | stopDirScan (self, QString path)
| stopScan (self)

## Static Methods

bool | exists ()
KDirWatch | self ()
| statistics ()

## Signal Documentation

created | ( | QString | path
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("created(const QString&)"), target_slot)`

deleted | ( | QString | path
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("deleted(const QString&)"), target_slot)`

dirty | ( | QString | path
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("dirty(const QString&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

addDir | ( | self, |
|  | QString | path,
|  | KDirWatch.WatchModes | watchModes=KDirWatch.WatchDirOnly
| ) |  |  |

addFile | ( | self, |
|  | QString | file
| ) |  |  |

bool contains | ( | self, |
|  | QString | path
| ) |  |  |

QDateTime ctime | ( | self, |
|  | QString | path
| ) |  |  |

KDirWatch.Method internalMethod | ( |  | self ) |

bool isStopped | ( |  | self ) |

removeDir | ( | self, |
|  | QString | path
| ) |  |  |

removeFile | ( | self, |
|  | QString | file
| ) |  |  |

bool restartDirScan | ( | self, |
|  | QString | path
| ) |  |  |

setCreated | ( | self, |
|  | QString | path
| ) |  |  |

setDeleted | ( | self, |
|  | QString | path
| ) |  |  |

setDirty | ( | self, |
|  | QString | path
| ) |  |  |

startScan | ( | self, |
|  | bool | notify=0,
|  | bool | skippedToo=0
| ) |  |  |

bool stopDirScan | ( | self, |
|  | QString | path
| ) |  |  |

stopScan | ( |  | self ) |

## Static Method Documentation

bool exists | ( |  | ) |

KDirWatch self | ( |  | ) |

statistics | ( |  | ) |

## Enumeration Documentation

Method

Enumerator:

  FAM |
  INotify |
  DNotify |
  Stat |

WatchMode

Enumerator:

  WatchDirOnly |
  WatchFiles |
  WatchSubDirs |